//
// PPLBasedSelectionViewController.h
// GoToBus
//
// Created by paul on 8/4/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "PPLBasedPrice.h"

@interface PPLBasedCountData : NSObject

@property (nonatomic, assign, readwrite) NSInteger adultCount;
@property (nonatomic, assign, readwrite) NSInteger childCount;
@property (nonatomic, assign, readwrite) NSInteger infantCount;
@property (nonatomic, assign, readwrite) NSInteger seniorCount;
@property (nonatomic, assign, readwrite) NSInteger juniorCount;
@property (nonatomic, assign, readwrite) NSInteger studentCount;
@property (nonatomic, assign, readwrite) NSInteger soldierCount;
@property (nonatomic, assign, readonly) NSInteger peopleCount;

- (void)configureWithPPLBasedPrice:(PPLBasedPrice *)price;
- (void)configureWithDefaultAdultNumber:(NSInteger)adultCount;

@end

@interface PPLBasedCountViewController : UITableViewController

@property (nonatomic, assign) BOOL childEnabled;
@property (nonatomic, assign) BOOL infantEnabled;
@property (nonatomic, assign) BOOL seniorEnabled;
@property (nonatomic, assign) BOOL juniorEnabled;
@property (nonatomic, assign) BOOL studentEnabled;
@property (nonatomic, assign) BOOL soldierEnabled;
@property (nonatomic, assign) NSInteger minimumCount;

- (instancetype)initWithPPLBasedCountData:(PPLBasedCountData *)countData;

- (void)setPropertiesWithPPLBasedPrice:(PPLBasedPrice *)price;

- (void)setDidDoneBlock:(void (^)(PPLBasedCountData *countData))block;
- (void)setDidCancelBlock:(void (^)(void))block;

@end
